﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinTabControl;
using Infragistics.Win.UltraWinTabs;
using System.Drawing;

namespace UltraTabControlHeaderHide
{
    class TabHeaderCreationFilter : IUIElementCreationFilter
    {

        public TabHeaderCreationFilter()
        {

        }

        public void AfterCreateChildElements(UIElement parent)
        {
          if(parent is TabRowUIElement)
            {
                 TabItemUIElement tabItem = (TabItemUIElement)parent.GetDescendant(typeof(TabItemUIElement)) as TabItemUIElement;
                 if (tabItem.Parent.ChildElements.Count < 2 && tabItem != null)
                 {
                     tabItem.Rect = new Rectangle(tabItem.Rect.X, tabItem.Rect.Y, 0, 0);
                 }

            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
             return false;
        }
    }
}
